This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875185 - Enable repositories page - error 500 missing template
Enable repositories page - error 500 missing template
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 13:19 EST by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-11-09 13:19:28 EST
Description of problem:


Version-Release number of selected component (if applicable):
Katello Version: 1.2.1-1.git.365.acb9c16.el6_3

How reproducible:
always

Steps to Reproduce:
1. Go to Red Hat Repositories page
2. 
3.
  
Actual results:
Missing template providers/redhat/show with {:locale=>[:en, :en], :formats=>[:html], :handlers=>[:builder, :rjs, :rhtml, :rxml, :haml, :erb]} in view paths "/usr/share/katello/app/views", "/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.12/app/views" (ActionView::MissingTemplate)
Click here for more details.



Expected results:


Additional info:
cc-ing Ivan because this test failure followed his commit here
https://github.com/Katello/katello/commit/c431e0916abbd46b61f7ecf4a969b188fef40985
Comment 3 Justin Sherrill 2012-11-21 12:41:16 EST
I'm not sure why the failure was immediately after Ivan's commit, as that didn't have anything to do with it.  The real offender was:

21427a85f00d761bebb9dd8d0765d51e36468254


PR to fix the issue:
https://github.com/Katello/katello/pull/1104
Comment 4 Justin Sherrill 2012-11-21 12:49:04 EST
fixed:
4db52732f1314278f89b6c1f5238601269a75374
Comment 7 Mike McCune 2013-09-19 14:11:47 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.